<template>
  <sport-vertical-game-entry-skeleton
    :bg-image="gameForDisplay.BackgroundImage"
    :float-bg-image="gameForDisplay.FloatBackground"
    :is-hot="gameForDisplay.IsHotGame"
    :is-new="gameForDisplay.IsNewGame"
    :label="isShowLabel && (!tag || tag.length <= 0)
      ? gameForDisplay.GameName
      : gameForDisplay.GameNameForDisplay"
    :tag="tag"
    :logo-image="gameForDisplay.ProviderLogoCenterPath"
    :person-image="gameForDisplay.StarImagePath"
  />
</template>

<script setup lang="ts">
import { defineComponent, PropType, computed } from "vue";
import { IGameBsi } from "@/models/bsiGameList";
import SportDisplayModel from "./sportDisplayModel";

defineComponent({ name: "VerticalGameEntry" });
const props = defineProps({
  game: {
    type: Object as PropType<IGameBsi>,
    required: true,
  },
  isShowLabel: {
    type: Boolean,
    default: () => true,
  },
});

const gameForDisplay = computed(() => new SportDisplayModel(props.game));
const tags: { key: string; name: string }[] = [
  {
    key: "beautybaccarat",
    name: "Beauty Baccarat",
  },
  {
    key: "dragontiger",
    name: "Dragon Tiger",
  },
  {
    key: "baccarat",
    name: "Baccarat",
  },
  {
    key: "roulette",
    name: "Roulette",
  },
  {
    key: "sicbo",
    name: "Sicbo",
  },
  {
    key: "sic bo",
    name: "Sicbo",
  },
];
const tag = computed(() => {
  const found = gameForDisplay.value.EnglishGameName
    ? tags.filter((t) =>
        gameForDisplay.value.EnglishGameName?.toLowerCase().includes(t.key)
        && !gameForDisplay.value.EnglishGameName.toLowerCase().includes('wcasino')
      )
    : [];
  if (gameForDisplay.value.EnglishGameName && found.length > 0) {
    return found[0].name;
  }
  return undefined;
});
</script>
